: Class AddressList.DeliveryButton

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.composition
Class AddressList.DeliveryButton

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--grendel.composition.AddressList.DeliveryButton

public class AddressList.DeliveryButton
extends javax.swing.JPanel
implements java.awt.event.MouseListener, java.awt.event.FocusListener, java.awt.event.ActionListener, java.awt.event.KeyListener

DeliveryButton displays "To:", "Cc:", etc and has a popup menu to change values.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`AddressList.DeliveryButton(int aDeliveryMode)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Called when popup menu item is selected.
`void` | `addNotify()` addNotify creates the preferred size dimension because only after the peer has been created can we get the font metrics.
`void` | `focusGained(java.awt.event.FocusEvent evt)` Display button highlight.
`void` | `focusLost(java.awt.event.FocusEvent evt)` Remove button highlight.
`protected int` | `getDeliveryMode()`
`java.awt.Dimension` | `getMaximumSize()`
`java.awt.Dimension` | `getMinimumSize()`
`java.awt.Dimension` | `getPreferredSize()` Return PerfSize created in addNotify.
`boolean` | `isFocusTraversable()`
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)` On any mouse click show the popup menu.
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `paint(java.awt.Graphics g)` Paint the button's bevels and arrow and text string (i.e.
`protected void` | `setDeliveryMode(int aDeliveryMode)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddressList.DeliveryButton

    public AddressList.DeliveryButton(int aDeliveryMode)

Method Detail

### setDeliveryMode

    protected void setDeliveryMode(int aDeliveryMode)

### getDeliveryMode

    protected int getDeliveryMode()

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  Overrides:
    getMaximumSize in class javax.swing.JComponent

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Overrides:
    getMinimumSize in class javax.swing.JComponent

### addNotify

    public void addNotify()

  addNotify creates the preferred size dimension because only after the peer has been created can we get the font metrics.
  Overrides:
    addNotify in class javax.swing.JComponent

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Return PerfSize created in addNotify.
  Overrides:
    getPreferredSize in class javax.swing.JComponent

### isFocusTraversable

    public boolean isFocusTraversable()

  Overrides:
    isFocusTraversable in class javax.swing.JComponent

### focusGained

    public void focusGained(java.awt.event.FocusEvent evt)

  Display button highlight.
  Specified by:
    focusGained in interface java.awt.event.FocusListener

### focusLost

    public void focusLost(java.awt.event.FocusEvent evt)

  Remove button highlight.
  Specified by:
    focusLost in interface java.awt.event.FocusListener

### paint

    public void paint(java.awt.Graphics g)

  Paint the button's bevels and arrow and text string (i.e. "To:")
  Overrides:
    paint in class javax.swing.JComponent

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Specified by:
    keyReleased in interface java.awt.event.KeyListener

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    keyTyped in interface java.awt.event.KeyListener

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    keyPressed in interface java.awt.event.KeyListener

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Called when popup menu item is selected.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    mouseEntered in interface java.awt.event.MouseListener

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    mouseExited in interface java.awt.event.MouseListener

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    mouseReleased in interface java.awt.event.MouseListener

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    mouseClicked in interface java.awt.event.MouseListener

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  On any mouse click show the popup menu. Windows has bug for getX(), getY(). (UNIX OK)
  Specified by:
    mousePressed in interface java.awt.event.MouseListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD